# Module laden
from twisted.internet import reactor
from twisted.web import static, server, twcgi

# root-Verzeichnis setzen
mein_server = static.File('/var/www/htdocs')

# Auswertung von Perl-Skripten
class PerlScript(twcgi.FilteredScript):
	filter = '/usr/bin/perl' # Pfad zum Perl-Interpreter
mein_server.processors = {'.pl': PerlScript}

# CGI-Verzeichnis einstellen und aktivieren
mein_server.putChild('cgis', twcgi.CGIDirectory('/var/www/cgi-bin'))

# Verzeichnisse zu anderen Zielen
mein_server.putChild('doc', static.File('/var/www/doc'))

# Indexdateien
mein_server.indexNames = ['index.html', 'index.htm', 'index.pl']

# Webserver starten auf Port 7777
reactor.listenTCP(7777, server.Site(mein_server))
reactor.run()
